using System;
using System.Linq;

namespace nesusedni
{
    class Program
    {
        static void Main(string[] args)
        {
            string c = Console.ReadLine();
            string pom = c;
            char[]niz = pom.ToCharArray();
            string[] unos = Console.ReadLine().Split();
            int a1 = int.Parse(unos[0]);
            int a2 = int.Parse(unos[1]);
            if (a1 == a2)
            {
                Console.WriteLine(string.Concat(Enumerable.Repeat(c, a1)));
            }
            else if ((a1 + 1) == a2)
            {
                Console.WriteLine(niz[1]+string.Concat(Enumerable.Repeat(c, a1)));
            }
            else if ((a2 + 1) == a1)
            {
                Console.WriteLine(string.Concat(Enumerable.Repeat(c, a1))+ niz[0]);
            }
            else
            {
                string izlaz = "nemoguce";
                Console.WriteLine(izlaz);
            }
        }
    }
}